Recorder
C Reference » Production Nodes Functionality

## Typedefs

typedef enum XnRecordMedium | XnRecordMedium

## Enumerations

enum | XnRecordMedium { XN_RECORD_MEDIUM_FILE = 0 }

## Functions

XN_C_API XnStatus XN_C_DECL | xnCreateRecorder (XnContext *pContext, const XnChar *strFormatName, XnNodeHandle *phRecorder)
XN_C_API XnStatus XN_C_DECL | xnSetRecorderDestination (XnNodeHandle hRecorder, XnRecordMedium destType, const XnChar *strDest)
XN_C_API XnStatus XN_C_DECL | xnGetRecorderDestination (XnNodeHandle hRecorder, XnRecordMedium *pDestType, XnChar *strDest, XnUInt32 nBufSize)
XN_C_API XnStatus XN_C_DECL | xnAddNodeToRecording (XnNodeHandle hRecorder, XnNodeHandle hNode, XnCodecID compression)
XN_C_API XnStatus XN_C_DECL | xnRemoveNodeFromRecording (XnNodeHandle hRecorder, XnNodeHandle hNode)
XN_C_API XnStatus XN_C_DECL | xnRecord (XnNodeHandle hRecorder)
XN_C_API const XnChar *XN_C_DECL | xnGetRecorderFormat (XnNodeHandle hRecorder)

## Detailed Description

A Recorder node is a Production Node that allows recording of data. It supports all Production Node functions, and adds additional functions.

## Typedef Documentation

## XnRecordMedium

typedef enum XnRecordMedium XnRecordMedium

Defines the type of medium used for recording. See xnAddNodeToRecording.

## Enumeration Type Documentation

## XnRecordMedium

enum XnRecordMedium

Defines the type of medium used for recording. See xnAddNodeToRecording.

Enumerator
XN_RECORD_MEDIUM_FILE | Recording medium is a file

## Function Documentation

## xnAddNodeToRecording()

XN_C_API XnStatus XN_C_DECL xnAddNodeToRecording | ( | XnNodeHandle | hRecorder,
|  | XnNodeHandle | hNode,
|  | XnCodecID | compression )

Adds a node to recording and start recording it. This function must be called on each node that is to be recorded with this recorder.

Parameters

  hRecorder | [in] A handle to the recorder.
  hNode | [in] The node to add to the recording.
  compression | [in] The type of compression that will be used to encode the node's data (See XnCodecIDs.h). If XN_CODEC_NULL is specified, a default compression will be chosen according to the node type.

## xnCreateRecorder()

XN_C_API XnStatus XN_C_DECL xnCreateRecorder | ( | XnContext * | pContext,
|  | const XnChar * | strFormatName,
|  | XnNodeHandle * | phRecorder )

Creates a recorder.

Parameters

  pContext | [in] The context in which to create the recorder.
  strFormatName | [in] Optional. The name of the format the recorded file will be in. If NULL, file will be in ONI format.
  phRecorder | [out] A pointer to the created recorder handle.

## xnGetRecorderDestination()

XN_C_API XnStatus XN_C_DECL xnGetRecorderDestination | ( | XnNodeHandle | hRecorder,
|  | XnRecordMedium * | pDestType,
|  | XnChar * | strDest,
|  | XnUInt32 | nBufSize )

Returns the recoder's destination.

Parameters

  hRecorder | [in] A handle to the recorder
  pDestType | [out] The type of medium the recorder is set to record.
  strDest | [out] Recording destination. If destType is XN_RECORD_MEDIUM_FILE, this specifies a file name.
  nBufSize | [in] The size of the strDest buffer.

## xnGetRecorderFormat()

XN_C_API const XnChar *XN_C_DECL xnGetRecorderFormat | ( | XnNodeHandle | hRecorder | ) |

Gets a string representation of the recording format.

Parameters

  hRecorder | [in] A handle to the recorder.

## xnRecord()

XN_C_API XnStatus XN_C_DECL xnRecord | ( | XnNodeHandle | hRecorder | ) |

Records one frame of data from each node that was added to the recorder with xnAddNodeToRecording.

Parameters

  hRecorder | [in] A handle to the recorder.

## xnRemoveNodeFromRecording()

XN_C_API XnStatus XN_C_DECL xnRemoveNodeFromRecording | ( | XnNodeHandle | hRecorder,
|  | XnNodeHandle | hNode )

Removes node from recording and stop recording it. This function can be called on a node that was added to recording with xnAddNodeToRecording.

Parameters

  hRecorder | [in] A handle to the recorder.
  hNode | [in] The node to remove from recording.

## xnSetRecorderDestination()

XN_C_API XnStatus XN_C_DECL xnSetRecorderDestination | ( | XnNodeHandle | hRecorder,
|  | XnRecordMedium | destType,
|  | const XnChar * | strDest )

Tells the recorder where to record.

Parameters

  hRecorder | [in] A handle to the recorder
  destType | [in] The type of medium to record to. Currently only XN_RECORD_MEDIUM_FILE is supported.
  strDest | [in] Recording destination. If destType is XN_RECORD_MEDIUM_FILE, this specifies a file name.